Moving precommit testing scripts from Makefile[.mk] to tools/runners/run-precommit-check-for-target.sh and tools/precommit.sh; deleting Makefile.mk.

This commit is contained in:
Ruben Ayrapetyan
2015-02-17 13:44:05 +03:00
parent 51088ff2cb
commit 92a9d6db45
30 changed files with 141 additions and 181 deletions
+70
View File
@@ -0,0 +1,70 @@
# Copyright 2015 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#!/bin/bash
MAKE="$1"
shift
OUT_DIR="$1"
shift
TARGETS="$1"
shift
PARSE_ONLY_TESTING_PATHS="./tests/benchmarks/jerry"
FULL_TESTING_PATHS="./tests/jerry ./tests/jerry-test-suite/precommit_test_list"
echo -e "\nBuilding...\n\n"
$MAKE build || exit 1
echo -e "\n================ Build completed successfully. Running precommit tests ================\n"
echo -e "All targets were built successfully. Starting unit tests' run.\n"
$MAKE unittests_run || exit 1
echo -e "Unit tests completed successfully. Starting full testing.\n"
RUN_IDS=""
for TARGET in $TARGETS
do
ENGINE=$OUT_DIR/$TARGET/jerry
LOGS_PATH_PARSE_ONLY=$OUT_DIR/$TARGET/check_parse_only
LOGS_PATH_FULL=$OUT_DIR/$TARGET/check
# Parse-only testing
INDEX=0
for TESTS_PATH in "./tests/benchmarks/jerry"
do
./tools/runners/run-precommit-check-for-target.sh $ENGINE $LOGS_PATH_PARSE_ONLY/$INDEX $TESTS_PATH --parse-only &
RUN_IDS="$RUN_IDS $!";
INDEX=$((INDEX + 1))
done
# Full testing
INDEX=0
for TESTS_PATH in "./tests/jerry" "./tests/jerry-test-suite/precommit_test_list"
do
./tools/runners/run-precommit-check-for-target.sh $ENGINE $LOGS_PATH_FULL/$INDEX $TESTS_PATH &
RUN_IDS="$RUN_IDS $!";
INDEX=$((INDEX + 1))
done
done
RESULT_OK=1
for RUN_ID in $RUN_IDS
do
wait $RUN_ID || RESULT_OK=0
done;
[ $RESULT_OK -eq 1 ] || exit 1
echo -e "Full testing completed successfully\n\n================\n\n"
+49
View File
@@ -0,0 +1,49 @@
# Copyright 2015 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#!/bin/bash
ENGINE_PATH="$1"
OUTPUT_PATH="$2"
TESTS_PATH="$3"
TESTS_OPTS="$4"
[ -x $ENGINE_PATH ] || exit 1
[[ -d $TESTS_PATH || -f $TESTS_PATH ]] || exit 1
mkdir -p $OUTPUT_PATH || exit 1
./tools/runners/run-test-pass.sh $ENGINE_PATH $OUTPUT_PATH $TESTS_PATH $TESTS_OPTS --output-to-log; status_code=$?
if [ $status_code -ne 0 ]
then
echo "$ENGINE_PATH testing failed"
echo "See log in $OUTPUT_PATH directory for details."
exit $status_code
fi
if [ -d $TESTS_PATH/fail ]
then
for error_code in `cd $TESTS_PATH/fail && ls -d [0-9]*`
do
./tools/runners/run-test-xfail.sh $ENGINE_PATH $OUTPUT_PATH $error_code $TESTS_PATH $TESTS_OPTS --output-to-log; status_code=$?
if [ $status_code -ne 0 ]
then
echo "$ENGINE_PATH testing failed"
echo "See log in $OUTPUT_PATH directory for details."
exit $status_code
fi
done
fi
exit 0
+2 -4
View File
@@ -74,15 +74,13 @@ passed=0
JERRY_TEMP=jerry.tmp
exec 2>/dev/null
echo " Passed / Failed / Tested / Total / Percent"
for test in `cat $JS_FILES`
do
percent=$(echo $tested*100/$total | bc)
( ulimit -t $TIMEOUT; $VALGRIND ${ENGINE} ${JERRY_ARGS} ${test} >&$JERRY_TEMP; exit $? );
( ulimit -t $TIMEOUT; ${ENGINE} ${JERRY_ARGS} ${test} &>$JERRY_TEMP; exit $? );
status_code=$?
if [ $ECHO_PROGRESS -eq 1 ]
@@ -108,7 +106,7 @@ do
tested=$((tested+1))
done
rm $JERRY_TEMP
rm -f $JERRY_TEMP
printf "\r\e[2K[ %6d / %6d / %6d / %5d / %3d%% ]\n" ${passed} ${failed} ${tested} ${total} ${percent}
+2 -4
View File
@@ -1,4 +1,4 @@
# Copyright 2014 Samsung Electronics Co., Ltd.
# Copyright 2014-2015 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -82,15 +82,13 @@ passed=0
JERRY_TEMP=jerry.tmp
exec 2>/dev/null
echo " Passed / Failed / Tested / Total / Percent"
for test in `cat $JS_FILES`
do
percent=$(echo $tested*100/$total | bc)
( ulimit -t $TIMEOUT; $VALGRIND ${ENGINE} ${test} ${JERRY_ARGS} >&$JERRY_TEMP; exit $? );
( ulimit -t $TIMEOUT; ${ENGINE} ${test} ${JERRY_ARGS} >&$JERRY_TEMP; exit $? );
status_code=$?
if [ $ECHO_PROGRESS -eq 1 ]
+1 -2
View File
@@ -36,7 +36,7 @@ for unit_test in $UNITTESTS;
do
[ $OPTION_SILENT = "enable" ] || echo -n "Running $unit_test... ";
$VALGRIND $unit_test >&$DIR/unit_tests_run.log.tmp;
$unit_test >&$DIR/unit_tests_run.log.tmp;
status_code=$?
cat $DIR/unit_tests_run.log.tmp >> $DIR/unit_tests_run.log
rm $DIR/unit_tests_run.log.tmp
@@ -49,4 +49,3 @@ do
exit 1;
fi;
done